Subject: Re: bug#23641: emacs-25.0.94 build feedback

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Jun 2016 18:47:31 +0300

> Date: Mon, 30 May 2016 19:01:23 -0600
> From: "Nelson H. F. Beebe" <[email-masked]>
> Cc: [email-masked], "Nelson H. F. Beebe" <[email-masked]>,
>         [email-masked]
> 
> I wrote  about a build problem of emacs-25.0.94 on FreeBSD 11
> 
> >> ...
> >> > Here is what I get:
> >> > 
> >> >       make distclean
> >> >       ./configure --with-rsvg=no && make
> >> >       ...
> >> >       /usr/local/lib/libgio-2.0.so.0: undefined reference to [email-masked]'
> >> >       collect2: error: ld returned 1 exit status
> >> 
> 
> and Eli Zaretskii responded
> 
> >> Then this is the list of other suspects:
> >> 
> >>   imagemagick
> >>   dbus
> >>   gconf
> >> 
> >> I think you need to disable all of them (and rsvg as well) to get rid
> >> of libgio.
> >> ...
> 
> I therefore tried this:
> 
> 	./configure --with-{rsvg,dbus,gconf,imagemagick}=no && make
> 
> That led to a successful build!
> 
> Compared to my earlier reported successful build using --without-all,
> the newly-built emacs has 62 shared libraries, whereas the previous
> one had only 30.  I have therefore installed the new build.
> 
> It might be useful to document the dependence of -lgio on those four
> packages:
> 
> 	rsvg dbus gconf imagemagick
> 
> because that dependence is not obvious.

I added this problem and its solution to etc/PROBLEMS.  Thanks.